Opened 10 years ago

Closed 8 years ago

Last modified 4 years ago

#665 closed Enhancement (fixed)

Revisit of mass heat and salt fluxes between ocean, ice and atmosphere

Reported by: gm Owned by: gm, yka and matt
Priority: normal Milestone:
Component: OCE Version: trunk
Severity: Keywords: fluxes heat salinity
Cc: Review:
MP ready?:
Progress:

Description

Revisit the formulation of the fluxes between ocean, ice and atmosphere : an exchange of water (mass exchange) is now explicitly associated with an exchange of heat and salt content. This modification simplifies the implementation of a fully embedded sea-ice.

The main modifications concern OPA, LIM2 and LIM3. They are:

(1) the introduction in LIM2 and LIM3 of the heat and salt content exchanged with the ocean

(2) the suppression of emps by introducing fsalt, the salt flux at the ocean surface (only non zero below sea-ice)

(3) the modification of the definition of qns : the non solar part of the surface heat flux takes now also into account the heat content changes due to the change in volume associated with evaporation, precipitation, ice freezing and ice melting.

(4) the modification of trasbc module in order to take into account the above changes

This update is the NOCS.4 task (Revisit of mass and salt fluxes) due by 2nd July 2010

Commit History (22)

ChangesetAuthorTimeChangeLog
3624acc2012-11-21T13:25:53+01:00

dev_r3385_NOCS04_HAMF; #665. Future-proof off-line tracer namelist prior to merge

3623acc2012-11-21T13:12:48+01:00

dev_r3385_NOCS04_HAMF; #665. Corrections to passive and off-line tracer modules prior to merge

3545gm2012-11-14T10:04:08+01:00

branch: dev_r3385_NOCS04_HAMF; #665. bug correction in LIM3

3525gm2012-11-02T07:38:20+01:00

Branch: dev_r3385_NOCS04_HAMF; #665. bug correction in limdia for Fram strait transport

3524gm2012-11-02T07:13:40+01:00

Branch: dev_r3385_NOCS04_HAMF; #665. add USE lib_fortran when SIGN is used (TOP,OPA,LIM2&3) ; salt flux names start with sfx_ in LIM3

3523gm2012-11-01T08:58:07+01:00

Branch: dev_r3385_NOCS04_HAMF; #665. LIM3 update: bug correction in limtrp and mass flux added in limthd_lac

3517gm2012-10-26T12:13:21+02:00

gm: Branch: dev_r3385_NOCS04_HAMF; #665. update sbccpl ; change LIM3 from equivalent salt flux to salt flux and mass flux

3489acc2012-10-05T17:10:13+02:00

Branch: dev_r3385_NOCS04_HAMF; #665. Stage 4 of 2012 development: Tidying of diagnostic output and bug correction in limsbc_2.F90

3488acc2012-10-04T18:31:06+02:00

Branch: dev_r3385_NOCS04_HAMF; #665. Stage 3 of 2012 development: Rationalisation of code. Added LIM3 changes, corrected coupled changes and highlighted areas of concern in CICE interface

3419acc2012-06-20T18:16:33+02:00

Branch: dev_r3385_NOCS04_HAMF; #665. Stage 4 of 2012 development: Changes to get LIM3 working with embedded sea-ice. Working with a reduced (halved) timestep but exhibiting the same stability problems as LIM2_EVP with standard ORCA2 settings.

3414acc2012-06-15T14:53:43+02:00

Branch: dev_r3385_NOCS04_HAMF; #665. Stage 3 of 2012 development: First working version with (optionally) active embedding. Still some stability questions when running the LIM2-EVP, ORCA2 test-case with full embedding. Works with reduced (halved) timestep. Still investigating.

3403acc2012-05-28T12:32:12+02:00

Branch: dev_r3385_NOCS04_HAMF; #665. Stage 2a of 2012 development: further suppression of emps array in TOP routines (to be checked) and inclusion of new namelist parameter in reference configuration namelists

3402acc2012-05-25T18:43:49+02:00

Branch: dev_r3385_NOCS04_HAMF; #665. Stage 2 of 2012 development: suppression of emps array and introduction of sfx (salt flux) array with associated code to setup the options for embedding the seaice into the ocean

3401acc2012-05-24T13:05:50+02:00

Branch: dev_r3385_NOCS04_HAMF; #665. Stage 1a of 2012 development: correcting possible bug in sbccpl.F90 and reverting to use of instantaneous sst value in preference to the mean value (sst_m) in case coupling frequency differs from the nn_fsbc frequency.

3396acc2012-05-17T18:33:12+02:00

Branch: dev_r3385_NOCS04_HAMF; #665. Stage 1 of 2012 development: porting of changes on old development branch (2011/DEV_r1837_mass_heat_salt_fluxes) into new branch. Corrected a few errors on the way. This branch now compiles but is incomplete. Still missing LIM3 changes which must reside on a certain persons laptop somewhere

3386acc2012-05-09T18:52:31+02:00

Create development branch for the latest implementation of the NOCS development to tidy up the heat and mass fluxes to and from the ocean. This is a necessary precursor to correct embedding of the ice in the ocean and revisits work done (but not finished) in previous years. See ticket #665

3040charris2011-11-03T17:20:17+01:00

#665 Tidied up comments, history information in headers etc.

1859gm2010-05-06T10:40:07+02:00

ticket:#665 step 2 & 3: heat content in qns & new forcing terms

1858gm2010-05-04T10:39:48+02:00

ticket:#665 : step 1 - heat content of freezing-melting ice

1857gm2010-05-03T13:59:46+02:00

ticket:#665 Reverting previous commit and going back to revision 1850

1855gm2010-04-30T17:49:04+02:00

ticket:#665 style change only, with the suppression of thd_ice_2 (merged in ice_2)

1850gm2010-04-28T17:25:56+02:00

#665 : Revisit of mass heat and salt fluxes between ocean, ice and atmosphere

Change History (5)

comment:1 Changed 8 years ago by gm

  • Resolution set to fixed
  • Status changed from new to closed

This revisit together with the embedment of the sea-ice has been done in 2012. See the development in the dev_r3385_NOCS04_HAMF branch. It has been included in dev_UKMO_2012 so it will be part of the forthcoming v3.5alpha

comment:2 Changed 4 years ago by nicolasmartin

  • Keywords & removed

comment:3 Changed 4 years ago by nicolasmartin

  • Milestone 2010 Stream 3: Developments & Implementation of new features deleted

Milestone 2010 Stream 3: Developments & Implementation of new features deleted

comment:4 Changed 4 years ago by nicolasmartin

  • Keywords mass removed

comment:5 Changed 4 years ago by nicolasmartin

  • Keywords salinity added; salt removed
Note: See TracTickets for help on using tickets.